use ExtUtils::MakeMaker;

WriteMakefile(
    'NAME'      => 'Gnokii::GSM',
    'VERSION_FROM' => 'GSM.pm', # finds $VERSION
    'LIBS'      => ['-L/usr/X11R6/lib -lpthread -lX11'],   # e.g., '-lm' 
    'DEFINE'    => '-DHAVE_CFSETSPEED',     # e.g., '-DHAVE_SOMETHING' 
    'TYPEMAPS'  => ['perlobject.map' ],
    'INC'       => '-I. -I../../include -I/usr/X11R6/include',
    'OBJECT'    => 'GSM.o ../../common/COMMON.o ../../common/gsm-filetypes.o /usr/X11R6/lib/libXpm.so'
);

#sub MY::postamble {
     '
#$(MYEXTLIB): ../../Makefile
#	cd ../../ && $(MAKE) $(PASTHRU)
#';
#}
