# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

use Gnokii::GSM;
$gsm_conn = Gnokii::GSM->new("/dev/ttyS1","6150");
$gsm_conn->GetSMSStatus();
print "SMS: Unread: $gsm_conn->{'SMSStatus'}->{'Unread'} Msgs: $gsm_conn->{'SMSStatus'}->{'Number'}\n";
print "ok 5\n";
$gsm_conn->GetSMSMessages();
print ($#{$gsm_conn->{"Messages"}}+1);
print " Messages read\n";
foreach $m(@{$gsm_conn->{"Messages"}})
{
    print "Date: ".localtime($m->{'Date'})." Length: $m->{'Length'} Val: $m->{'Validity'}\n";
    print "Msg: $m->{'MessageText'}\n";
    print "Centre: $m->{'MessageCenter'} Sender: $m->{'Sender'} Dest: $m->{'Destination'} Memory: $m->{'Memory'} Type: $m->{'Type'}\n";
    print "Status: $m->{'Status'} Class: $m->{'Class'} Eightbit: $m->{'EightBit'} Compression: $m->{'Compression'}\n";
}
